<?php

/* WapKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/WapkassaClass.php");

if ($sys['payment']['wpk_id'] && $sys['payment']['wpk_hash']) {
	
	$strow = $connect->prepare("select * from `plus` where `num` = ?");
    $plus = $connect->prepare("update `plus` set `status` = ? where `id` = ?");
	
	try {
		// Инициализация класса с id сайта и секретным ключом
		$wapkassa = new WapkassaClass($sys['payment']['wpk_id'], $sys['payment']['wpk_hash']);

		// Проверка обработчика (PING)
		if ($wapkassa->ping($_POST)) {
			// возврат успешной проверки
			echo $wapkassa->successPing();
		} else {
			// Парсинг входящих параметров
			$params = $wapkassa->parseRequest($_POST);

			// $params['id']; // id платежа в системе wapkassa
			// $params['site_id']; // id площадки
			// $params['time']; // время оплаты в unixtime
			// $params['comm']; // комментарий платежа
			// $params['amount']; // сумма платежа
			// $params['add']; // массив с допольнительными параметрами

			/* Проверка */

			$strow->execute(array($params['add']['id_pay']));
			$row = $strow->fetch();

			if (!$row)
				exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

			if ($row['status'] == 1)
				exit('ERR: НЕДЕЙСТВИТЕЛЬНЫЙ ПЛАТЁЖ!');

			if ($row['sum'] != $params['amount'])
				exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

			/* Донат */

			if ($row['type'] == 1) {

				if (pay($row['sum'], $row['uid'])) {

					$plus->execute(array(1, $row['id']));

					notification('Вам отправили [url='.ROOT.'/donation/log]донат[/url]', $row['uid']);

				}

				exit;

			}

			// рейтинг
			ratingUser($sys['rating']['plus'], $row['uid']);

			// реферальное начисление

			$u_row = user($row['uid']);
			
			$ref = user($u_row['ref']);

			$ref_money = $row['sum'] / 100 * $sys['system']['ref_cash'];

			if ($ref && $ref_money > 0) {

				notification('Зачислено на баланс '.rub($ref_money).' от реферала [b]'.$u_row['login'].'[/b]!', $ref['id']);

				pay($ref_money, $ref['id']);

			}

			// пополнение
			if (pay($row['sum'], $row['uid']))
				$plus->execute(array(1, $row['id']));
	
			// возврат успешной обработки
			echo $wapkassa->successPayment();
		}
	} catch (Exception $e) {
		// вывод ошибки
		echo 'Ошибка: ' . $e->getMessage() . PHP_EOL;
	}
	
}

 ?>